
type
  tBouton = record
              x1, y1, x2, y2: integer;
            end;

var
  Boutons: array[0..63] of tBouton;
  clic   : boolean = false;
  clicXs : longInt;
  clicYs : longInt;
  
procedure DisposeBoutons;
var
  i: longInt;
begin
  for i := 0 to 63 do
  begin
    Boutons[i].x1 := 80 + (i mod 8)* 40;
    Boutons[i].y1 := 80 + (i div 8)* 40;
    Boutons[i].x2 := Boutons[i].x1 + 39;
    Boutons[i].y2 := Boutons[i].y1 + 39;
  end;
end;

function GetClick(const B: array of tBouton): longInt;
var
  i: longInt;
begin
  if clic then
  begin
    clic := false;
    for i := low(B) to high(B) do
    begin
      with B[i] do if (clicXs >= x1) and
                      (clicXs <= x2) and
                      (clicYs >= y1) and
                      (clicYs <= y2) then
                                    begin
                                      Result := i;
                                      Exit;
                                    end;
    end;
    Result := high(B) + 1;
  end else
    Result := -1;
end;

function StrCoord(numcarreau: longInt): string;
begin
  if numcarreau < 64 then
    StrCoord := chr(97 + numcarreau mod 8) + chr(49 + (63 - numcarreau) div 8)
  else
    StrCoord := '--';
end;
