
type
  tTexte = array[0..9, 0..9] of longInt;
  
const
 {TexteInitial: tTexte =
 ((049, 050, 050, 050, 050, 050, 050, 050, 050, 051),
  (052, 116, 074, 110, 087, 108, 078, 106, 084, 053),
  (052, 079, 111, 079, 111, 079, 111, 079, 111, 053),
  (052, 032, 043, 032, 043, 032, 043, 032, 043, 053),
  (052, 043, 032, 043, 032, 043, 032, 043, 032, 053),
  (052, 032, 043, 032, 043, 032, 043, 032, 043, 053),
  (052, 043, 032, 043, 032, 043, 032, 043, 032, 053),
  (052, 112, 080, 112, 080, 112, 080, 112, 080, 053),
  (052, 082, 104, 066, 113, 075, 098, 072, 114, 053),
  (054, 055, 055, 055, 055, 055, 055, 055, 055, 056));}
  
  TablierTest: tTablier =
  (0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
  
   10,  2, 0,0,0,0, -2,  -10,            0,0,
   7,   2, 0,0,0,0, -2,   -7,            0,0,
   6,   2, 0,0,0,0, -2,   -6,            0,0,
   19,  2, 0,0,0,0, -2,  -19,            0,0,
   126, 2, 0,0,0,0, -2, -126,            0,0,
   6,   2, 0,0,0,0, -2,   -6,            0,0,
   7,   2, 0,0,0,0, -2,   -7,            0,0,
   10,  2, 0,0,0,0, -2,  -10,            0,0,
   
   0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
    
function TexteCourant(Tbl: tTablier; Crd: boolean): tTexte;
var
  x, y: longInt;
  correction: longInt;
function Noire: boolean;
begin
  Noire := (x + y) mod 2 = 0;
end;
begin
  
  TexteCourant[0, 9] := 049;
  TexteCourant[9, 9] := 051;
  TexteCourant[0, 0] := 054;
  TexteCourant[9, 0] := 056;
  
  y := 9;
  for x := 1 to 8 do TexteCourant[x, y] := 050;
  
  x := 0;
  if Crd then
    for y := 1 to 8 do TexteCourant[x, y] := y + 191
  else
    for y := 1 to 8 do TexteCourant[x, y] := 052;
  
  x := 9;
  for y := 1 to 8 do TexteCourant[x, y] := 053;
  
  y := 0;
  if Crd then
    for x := 1 to 8 do TexteCourant[x, y] := x + 199
  else
    for x := 1 to 8 do TexteCourant[x, y] := 055;
  
  for y := 8 downTo 1 do
  begin
    for x := 1 to 8 do
    begin
    
      if Noire then correction := 32 else correction := 0; 
      
      case Tbl [ 10 * x + y ] of
      
        noir * valeurRoi:      TexteCourant[x, y] := 108 - correction;
        noir * valeurDame:     TexteCourant[x, y] := 119 - correction;
        noir * valeurTour:     TexteCourant[x, y] := 116 - correction;
        noir * valeurFou:      TexteCourant[x, y] := 110 - correction;
        noir * valeurCavalier: TexteCourant[x, y] := 106 - correction;
        noir * valeurPion:     TexteCourant[x, y] := 111 - correction;
        
        valeurNeant: begin
                       if Noire then
                         TexteCourant[x, y] := 43
                       else
                         TexteCourant[x, y] := 32;
                     end;
        
        blanc * valeurPion:     TexteCourant[x, y] := 112 - correction;
        blanc * valeurCavalier: TexteCourant[x, y] := 104 - correction;
        blanc * valeurFou:      TexteCourant[x, y] := 098 - correction;
        blanc * valeurTour:     TexteCourant[x, y] := 114 - correction;
        blanc * valeurRoi:      TexteCourant[x, y] := 107 - correction;
        blanc * valeurDame:     TexteCourant[x, y] := 113 - correction;
      
      end;
      
    end ;
  end;
end; 
